Messenger (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.common.util.Messenger class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.common.util
Class Messenger

    java.lang.Object
      org.hyperic.hq.common.util.Messenger

All Implemented Interfaces:
  MessagePublisher

    public class Messenger

extends java.lang.Object
implements MessagePublisher

Field Summary
`static java.lang.String` | `CONN_FACTORY_JNDI`

Constructor Summary
`Messenger()`
`Messenger(javax.jms.QueueConnection qConn, javax.jms.QueueSession qSession)`
`Messenger(javax.jms.TopicConnection tConn, javax.jms.TopicSession tSession)`

Method Summary
`void` | `publishMessage(java.lang.String name, java.util.List msgList, int maxSize)` Send a List to a Topic.
`void` | `publishMessage(java.lang.String name, java.io.Serializable sObj)` Send message to a Topic.
`void` | `sendMessage(java.lang.String name, java.io.Serializable sObj)` Send message to a Queue.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONN_FACTORY_JNDI

    public static final java.lang.String CONN_FACTORY_JNDI

See Also:
  Constant Field Values

Constructor Detail

### Messenger

    public Messenger()

### Messenger

    public Messenger(javax.jms.QueueConnection qConn,
                     javax.jms.QueueSession qSession)

### Messenger

    public Messenger(javax.jms.TopicConnection tConn,
                     javax.jms.TopicSession tSession)

Method Detail

### sendMessage

    public void sendMessage(java.lang.String name,
                            java.io.Serializable sObj)

  Send message to a Queue.

### publishMessage

    public void publishMessage(java.lang.String name,
                               java.util.List msgList,
                               int maxSize)

  Send a List to a Topic.

### publishMessage

    public void publishMessage(java.lang.String name,
                               java.io.Serializable sObj)

  Send message to a Topic.

  Specified by:
    `publishMessage` in interface `MessagePublisher`
  Parameters:
    `name` - The topic name
    `sObj` - The message to publish

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.